org.apache.uima.resource

## Interface ResourceManagerPearWrapper

- All Superinterfaces:
    ResourceManager

  Deprecated.

      @Deprecated
      public interface ResourceManagerPearWrapper
      extends ResourceManager

  A `ResourceManagerPearWrapper` is a special Resource Manager, sharing all its fields with its parent, except for the class path and data path fields.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeFromParentResourceManager(ResourceManager resourceManager)` Deprecated. N O T E : N O L O N G E R U S E D 2018 Pear Wrapper Resource Managers share all their values with their parent, except for the 2 values used to store the Classpath and Datapath.

    - ### Methods inherited from interface org.apache.uima.resource.ResourceManager

      `destroy, getCasManager, getDataPath, getDataPathElements, getExtensionClassLoader, getExternalResources, getImportCache, getResource, getResource, getResourceAsStream, getResourceAsStream, getResourceClass, getResourceURL, getResourceURL, initializeExternalResources, loadUserClass, resolveAndValidateResourceDependencies, resolveRelativePath, setCasManager, setDataPath, setDataPathElements, setDataPathElements, setExtensionClassLoader, setExtensionClassPath, setExtensionClassPath`

- - ### Method Detail

    - #### initializeFromParentResourceManager

          void initializeFromParentResourceManager(ResourceManager resourceManager)

      Deprecated.
      N O T E : N O L O N G E R U S E D 2018 Pear Wrapper Resource Managers share all their values with their parent, except for the 2 values used to store the Classpath and Datapath. This method is called immediately after the factory creates the object (using the 0-argument constructor), and it initializes all the fields in this wrapper to share the values with their parent.
      Parameters:
        `resourceManager` - the parent ResourceManager

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.